package com.unipi.talepis;

public class Main {

    public static void main(String[] args) {
	    Car car1 = new Car(120,40,50);
	    SpeedListener listener1 = new MySpeedListener();
	    SpeedListener listener2 = new SpeedListener() {
            @Override
            public void speedExceeded(SpeedEvent event) {
				System.out.println("Hey! Are you crazy?");
            }

            @Override
            public void speedGoneBelow(SpeedEvent event) {
				System.out.println("Come on, move!");
            }
        };
	    car1.addSpeedListener(listener1);
	    car1.addSpeedListener(listener2);

	    car1.speedUp(30);
	    car1.speedUp(30);
	    car1.speedUp(40);
	    car1.slowDown(130);
	    car1.speedUp(120);
    }
}
